Name:		gscan2pdf
Version:	2.13.4
Release:	%mkrel 1
Summary:	Produces multipage PDFs from a scan
License:	GPLv3
Group:		Publishing
URL:		https://gscan2pdf.sourceforge.net/
Source0:	https://sourceforge.net/projects/gscan2pdf/files/gscan2pdf/%{version}/%{name}-%{version}.tar.xz
# https://sourceforge.net/p/gscan2pdf/bugs/230/
Patch0:		gscan2pdf-2.1.6-fix-utf8-characters.patch
# Do not warn about missing pdftk, bug #1708054, not upstreamable
Patch1:		gscan2pdf-2.9.0-Do-not-warn-about-missing-pdftk.patch
BuildArch:	noarch
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils

Requires:	libtiff-progs
Requires:	imagemagick
Requires:	sane-frontends
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-reaper
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr
Requires:	poppler
Requires:	typelib(GooCanvas)

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%autosetup -p1

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
%__perl Makefile.PL INSTALLDIRS=vendor SHAREDIR=%{_datadir}

%make_build

%install
%make_install

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key='X-SuSE-translate' \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc History COPYING
%license LICENCE
%{_bindir}/*
%{_datadir}/%{name}/
%{_datadir}/applications/net.sourceforge.%{name}.desktop
%{perl_vendorlib}/Gscan2pdf/
%{_datadir}/pixmaps/*.svg
%{_metainfodir}/net.sourceforge.%{name}.appdata.xml
%{_mandir}/man1/*.1*


%changelog
* Thu Aug 01 2024 daviddavid <daviddavid> 2.13.4-1.mga10
+ Revision: 2083372
- new version: 2.13.4

* Sat Jul 06 2024 daviddavid <daviddavid> 2.13.3-1.mga10
+ Revision: 2080148
- new version: 2.13.3

* Sun Oct 01 2023 papoteur <papoteur> 2.13.2-2.mga10
+ Revision: 1992851
- add poppler as requirement, needed for import of PDF files (mga#32335)

* Wed Jan 18 2023 daviddavid <daviddavid> 2.13.2-1.mga9
+ Revision: 1934232
- new version: 2.13.2

* Tue Jan 03 2023 daviddavid <daviddavid> 2.13.1-1.mga9
+ Revision: 1929696
- new version: 2.13.1

* Sun Nov 06 2022 daviddavid <daviddavid> 2.13.0-1.mga9
+ Revision: 1904139
- new version: 2.13.0

* Sun Sep 11 2022 neoclust <neoclust> 2.12.8-1.mga9
+ Revision: 1886961
- New version 	2.12.8

* Thu Mar 31 2022 umeabot <umeabot> 2.12.1-2.mga9
+ Revision: 1836960
- Mageia 9 Mass Rebuild

* Fri Apr 23 2021 daviddavid <daviddavid> 2.12.1-1.mga9
+ Revision: 1718032
- new version: 2.12.1

* Wed Apr 21 2021 daviddavid <daviddavid> 2.12.0-1.mga9
+ Revision: 1717867
- new version: 2.12.0

* Sun Mar 21 2021 daviddavid <daviddavid> 2.11.2-1.mga9
+ Revision: 1706668
- new version: 2.11.2

* Thu Feb 25 2021 daviddavid <daviddavid> 2.11.1-1.mga9
+ Revision: 1690665
- new version: 2.11.1

* Fri Jan 29 2021 daviddavid <daviddavid> 2.11.0-1.mga8
+ Revision: 1673934
- new version: 2.11.0

* Sat Dec 19 2020 daviddavid <daviddavid> 2.10.2-1.mga8
+ Revision: 1661194
- new version: 2.10.2

* Wed Dec 09 2020 daviddavid <daviddavid> 2.10.1-1.mga8
+ Revision: 1654787
- new version: 2.10.1

* Sun Nov 08 2020 daviddavid <daviddavid> 2.10.0-1.mga8
+ Revision: 1643822
- new version: 2.10.0

* Mon Sep 28 2020 daviddavid <daviddavid> 2.9.1-1.mga8
+ Revision: 1630856
- new version: 2.9.1

* Thu Sep 24 2020 daviddavid <daviddavid> 2.9.0-1.mga8
+ Revision: 1629677
- new version: 2.9.0
- fix an error message about an empty LANGUAGE variable (upstream bug #360)

* Sun Aug 02 2020 daviddavid <daviddavid> 2.8.2-1.mga8
+ Revision: 1610482
- new version: 2.8.2

* Tue Jul 14 2020 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1605862
- new version: 2.8.1

* Wed Jun 17 2020 daviddavid <daviddavid> 2.8.0-1.mga8
+ Revision: 1594181
- new version: 2.8.0

* Mon May 11 2020 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1583217
- new version: 2.7.0

* Thu Apr 09 2020 daviddavid <daviddavid> 2.6.7-1.mga8
+ Revision: 1565773
- new version: 2.6.7

* Tue Apr 07 2020 daviddavid <daviddavid> 2.6.6-1.mga8
+ Revision: 1565422
- new version: 2.6.6
+ danf <danf>
- Switch URLs from http: to https:

* Tue Mar 10 2020 daviddavid <daviddavid> 2.6.5-1.mga8
+ Revision: 1555248
- new version: 2.6.5

* Thu Feb 20 2020 umeabot <umeabot> 2.6.4-2.mga8
+ Revision: 1547280
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 2.6.4-1.mga8
+ Revision: 1487803
- new version: 2.6.4

* Tue Jan 07 2020 daviddavid <daviddavid> 2.6.3-1.mga8
+ Revision: 1477073
- new version: 2.6.3

* Sat Nov 30 2019 daviddavid <daviddavid> 2.6.2-1.mga8
+ Revision: 1463865
- new version: 2.6.2

* Fri Nov 15 2019 daviddavid <daviddavid> 2.6.1-1.mga8
+ Revision: 1460433
- new version: 2.6.1

* Tue Oct 15 2019 daviddavid <daviddavid> 2.5.7-1.mga8
+ Revision: 1453385
- new version: 2.5.7

* Thu Sep 12 2019 daviddavid <daviddavid> 2.5.6-1.mga8
+ Revision: 1440037
- new version: 2.5.6

* Sun Jul 21 2019 daviddavid <daviddavid> 2.5.5-1.mga8
+ Revision: 1423251
- new version: 2.5.5

* Sat Jun 29 2019 daviddavid <daviddavid> 2.5.4-1.mga8
+ Revision: 1415863
- new version: 2.5.4

* Thu May 09 2019 daviddavid <daviddavid> 2.5.2-2.mga7
+ Revision: 1396921
- do not warn about missing pdftk
- do not require unused forks Perl module

* Fri Apr 26 2019 daviddavid <daviddavid> 2.5.2-1.mga7
+ Revision: 1395554
- new version: 2.5.2

* Fri Apr 05 2019 daviddavid <daviddavid> 2.5.1-2.mga7
+ Revision: 1385858
- add missing dependency on typelib(GooCanvas)

* Tue Mar 26 2019 daviddavid <daviddavid> 2.5.1-1.mga7
+ Revision: 1380227
- new version: 2.5.1

* Mon Feb 25 2019 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1370012
- new version: 2.4.0

* Mon Jan 28 2019 daviddavid <daviddavid> 2.3.0-1.mga7
+ Revision: 1361660
- new version: 2.3.0

* Wed Jan 02 2019 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1348635
- new version: 2.2.2

* Mon Dec 31 2018 daviddavid <daviddavid> 2.2.1-1.mga7
+ Revision: 1347394
- new version: 2.2.1

* Sun Dec 02 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1337618
- new version: 2.2.0

* Sun Oct 14 2018 daviddavid <daviddavid> 2.1.7-1.mga7
+ Revision: 1320275
- new version: 2.1.7

* Wed Oct 10 2018 daviddavid <daviddavid> 2.1.6-1.mga7
+ Revision: 1319217
- new version: 2.1.6
- rename and rediff fix-utf8-characters patch

* Thu Sep 20 2018 umeabot <umeabot> 2.1.4-2.mga7
+ Revision: 1278640
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 daviddavid <daviddavid> 2.1.4-1.mga7
+ Revision: 1245947
- new version: 2.1.4

* Thu May 24 2018 daviddavid <daviddavid> 2.1.2-1.mga7
+ Revision: 1232044
- new version: 2.1.2

* Thu May 17 2018 daviddavid <daviddavid> 2.1.1-1.mga7
+ Revision: 1230201
- new version: 2.1.1

* Sun Apr 22 2018 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1221164
- new version: 2.1.0

* Wed Apr 04 2018 daviddavid <daviddavid> 2.0.3-1.mga7
+ Revision: 1215119
- new version: 2.0.3

* Tue Mar 27 2018 daviddavid <daviddavid> 2.0.2-1.mga7
+ Revision: 1212774
- new version: 2.0.2
- rename and rediff fix-utf8-characters patch

* Mon Jan 29 2018 daviddavid <daviddavid> 1.8.11-1.mga7
+ Revision: 1197925
- new version: 1.8.11

* Sat Dec 02 2017 daviddavid <daviddavid> 1.8.10-1.mga7
+ Revision: 1180673
- new version: 1.8.10

* Mon Nov 27 2017 daviddavid <daviddavid> 1.8.9-1.mga7
+ Revision: 1180085
- new version: 1.8.9

* Fri Nov 03 2017 daviddavid <daviddavid> 1.8.8-1.mga7
+ Revision: 1175650
- new version: 1.8.8

* Sun Sep 24 2017 daviddavid <daviddavid> 1.8.7-1.mga7
+ Revision: 1158692
- new version: 1.8.7

* Fri Aug 25 2017 daviddavid <daviddavid> 1.8.6-1.mga7
+ Revision: 1147762
- new version: 1.8.6
- rename and rebase fix-utf8-characters patch

* Mon Jul 31 2017 daviddavid <daviddavid> 1.8.4-1.mga7
+ Revision: 1133108
- new version: 1.8.4

* Wed Jul 19 2017 daviddavid <daviddavid> 1.8.3-1.mga7
+ Revision: 1124974
- new version: 1.8.3

* Sat Jun 03 2017 akien <akien> 1.8.2-1.mga6
+ Revision: 1105978
- Version 1.8.2

* Wed Apr 26 2017 akien <akien> 1.8.0-1.mga6
+ Revision: 1097516
- Version 1.8.0

* Mon Feb 13 2017 daviddavid <daviddavid> 1.7.2-1.mga6
+ Revision: 1085988
- new version: 1.7.2

* Fri Jan 13 2017 daviddavid <daviddavid> 1.7.1-1.mga6
+ Revision: 1081494
- new version: 1.7.1
- remove some hard requires already auto-required

* Mon Dec 05 2016 daviddavid <daviddavid> 1.6.0-1.mga6
+ Revision: 1072624
- new version: 1.6.0
- rename and rediff fix-utf8-characters patch
- remove merged upstream patch

* Thu Nov 17 2016 daviddavid <daviddavid> 1.5.5-3.mga6
+ Revision: 1068031
- fix more the UTF-8 issue with accentued characters (mga#15000)
  * https://sourceforge.net/p/gscan2pdf/bugs/230/#f803

* Mon Nov 14 2016 daviddavid <daviddavid> 1.5.5-2.mga6
+ Revision: 1067127
- add an upstream patch to fix an UTF-8 issue with accentued characters (mga#15000)
- add an upstream patch to fix saving to an image with shell meta characters in a file name

* Sat Oct 29 2016 daviddavid <daviddavid> 1.5.5-1.mga6
+ Revision: 1063883
- new version: 1.5.5

* Fri Oct 21 2016 daviddavid <daviddavid> 1.5.4-1.mga6
+ Revision: 1062887
- new version: 1.5.4

* Fri Oct 14 2016 daviddavid <daviddavid> 1.5.3-1.mga6
+ Revision: 1060729
- new version: 1.5.3

* Sun Aug 28 2016 daviddavid <daviddavid> 1.5.2-1.mga6
+ Revision: 1049348
- new version: 1.5.2

* Thu Aug 04 2016 daviddavid <daviddavid> 1.5.1-1.mga6
+ Revision: 1044467
- new version: 1.5.1

* Sat Jun 18 2016 pterjan <pterjan> 1.4.0-2.mga6
+ Revision: 1022148
- Rebuild for perl 5.22.2

* Sat Apr 23 2016 daviddavid <daviddavid> 1.4.0-1.mga6
+ Revision: 1005745
- new version: 1.4.0

* Mon Mar 07 2016 daviddavid <daviddavid> 1.3.9-1.mga6
+ Revision: 986944
- new version: 1.3.9

* Fri Feb 05 2016 daviddavid <daviddavid> 1.3.8-1.mga6
+ Revision: 936956
- new version: 1.3.8

* Sun Jan 17 2016 daviddavid <daviddavid> 1.3.7-1.mga6
+ Revision: 925018
- new version: 1.3.7

* Mon Dec 21 2015 daviddavid <daviddavid> 1.3.6-1.mga6
+ Revision: 913208
- new version: 1.3.6

* Sat Oct 10 2015 daviddavid <daviddavid> 1.3.5-1.mga6
+ Revision: 888721
- new version: 1.3.5

* Thu Aug 06 2015 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 861437
- new version: 1.3.4

* Tue Aug 04 2015 daviddavid <daviddavid> 1.3.3-1.mga6
+ Revision: 861015
- new version: 1.3.3
- fix file list

* Thu Jul 23 2015 daviddavid <daviddavid> 1.3.2-1.mga6
+ Revision: 856603
- new version: 1.3.2
- update Source URL

* Wed Oct 15 2014 umeabot <umeabot> 1.2.5-3.mga5
+ Revision: 740214
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.5-2.mga5
+ Revision: 679959
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 dams <dams> 1.2.5-1.mga5
+ Revision: 642166
- new version 1.2.5

* Thu Apr 03 2014 dams <dams> 1.2.4-1.mga5
+ Revision: 611550
- new version 1.2.4

* Tue Feb 04 2014 dams <dams> 1.2.3-1.mga5
+ Revision: 580754
- new version 1.2.3

* Mon Dec 23 2013 dams <dams> 1.2.0-1.mga4
+ Revision: 560067
- new version 1.2.0

* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-2.mga4
+ Revision: 535025
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.1.3-1.mga4
+ Revision: 480703
- new version 1.1.3

* Wed Jun 26 2013 barjac <barjac> 1.0.6-4.mga4
+ Revision: 446655
- fix bad patch
- clean spec
- fix use of %%apply_patches by moving Patch0: after Source0:

* Tue Jun 25 2013 barjac <barjac> 1.0.6-3.mga4
+ Revision: 446345
- fixes mangeld output of gocr
- recognizes tesseract version 3
- fixes parsing of hocr (some OCRs use ocrx_word instead of ocr_word)
- mga #10402

* Sat Jan 12 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 352685
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 fwang <fwang> 1.0.6-1.mga3
+ Revision: 289876
- update file list
- new version 1.0.6

* Thu Oct 06 2011 yann <yann> 1.0.0-1.mga2
+ Revision: 152545
- Remove irrelevant INSTALL file
- fix installed file list (use of macro)
- update to new version 1.0.0

* Sun May 15 2011 pterjan <pterjan> 0.9.32-5.mga1
+ Revision: 98994
- Rebuild for fixed find-requires

* Wed May 04 2011 ahmad <ahmad> 0.9.32-4.mga1
+ Revision: 94679
- Drop old/unneeded scriptlets
- %%doc more files
- imported package gscan2pdf


* Mon Apr 25 2011 Funda Wang <fwang@mandriva.org> 0.9.32-3mdv2011.0
+ Revision: 658493
- rebuild

* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.9.32-2
+ Revision: 657380
- rebuild for updated spec-helper

* Wed Mar 16 2011 Stéphane Téletchéa <steletch@mandriva.org> 0.9.32-1
+ Revision: 645231
- update to new version 0.9.32

* Tue Jul 20 2010 Funda Wang <fwang@mandriva.org> 0.9.31-1mdv2011.0
+ Revision: 555540
- update to new version 0.9.31

* Tue May 25 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.30-3mdv2010.1
+ Revision: 545837
- actually resize the icons

* Mon May 24 2010 Emmanuel Andry <eandry@mandriva.org> 0.9.30-2mdv2010.1
+ Revision: 545796
- add missing requires : perl-Set-IntSpan (#59268)
- fix summary

* Tue Feb 02 2010 Frederik Himpe <fhimpe@mandriva.org> 0.9.30-1mdv2010.1
+ Revision: 499763
- update to new version 0.9.30

* Mon May 18 2009 Funda Wang <fwang@mandriva.org> 0.9.29-2mdv2010.0
+ Revision: 376824
- fix requires

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 0.9.29-1mdv2010.0
+ Revision: 372357
- update to new version 0.9.29

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.9.28-2mdv2010.0
+ Revision: 372066
- add more requires (bug#50517)

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.9.28-1mdv2010.0
+ Revision: 370436
- update file list
- New version 0.9.28

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.9.27-1mdv2009.1
+ Revision: 313909
- fix file list
- new version 0.9.27

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Aug 25 2008 Funda Wang <fwang@mandriva.org> 0.9.26-1mdv2009.0
+ Revision: 275708
- update to new version 0.9.26

* Sat Jul 05 2008 Funda Wang <fwang@mandriva.org> 0.9.25-1mdv2009.0
+ Revision: 231939
- update to new version 0.9.25

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.9.24-1mdv2009.0
+ Revision: 207237
- update to new version 0.9.24

* Fri Mar 07 2008 Funda Wang <fwang@mandriva.org> 0.9.23-1mdv2008.1
+ Revision: 181297
- update to new version 0.9.23

* Sat Feb 02 2008 Funda Wang <fwang@mandriva.org> 0.9.21-1mdv2008.1
+ Revision: 161382
- update to new version 0.9.21

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.9.20-1mdv2008.1
+ Revision: 155531
- New version 0.9.20

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Funda Wang <fwang@mandriva.org> 0.9.19-1mdv2008.1
+ Revision: 111886
- update to new version 0.9.19

* Sun Nov 18 2007 Funda Wang <fwang@mandriva.org> 0.9.18-1mdv2008.1
+ Revision: 109798
- update to new version 0.9.18

* Wed Oct 10 2007 Funda Wang <fwang@mandriva.org> 0.9.17-1mdv2008.1
+ Revision: 96809
- New version 0.9.17

* Sat Aug 25 2007 Funda Wang <fwang@mandriva.org> 0.9.16-1mdv2008.0
+ Revision: 71137
- New version 0.9.16

* Wed Jul 25 2007 Austin Acton <austin@mandriva.org> 0.9.15-1mdv2008.0
+ Revision: 55136
- install perl module
- new version

* Mon Jul 09 2007 Austin Acton <austin@mandriva.org> 0.9.13-1mdv2008.0
+ Revision: 50764
- new version

* Sat Jun 09 2007 Austin Acton <austin@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 37703
- Import gscan2pdf

